﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace RetemplateMultiCombo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Page
    {
        public MainWindow()
        {
            InitializeComponent();
            FieldMultiCombo.ItemsSource = GetData();
        }

        private List<Person> GetData()
        {
            List<Person> people = new List<Person>();
            people.Add(new Person { Name = "Joe Smith", Title = "VP", IsManager = true, Level = 3, HireDate = DateTime.Now.Subtract(TimeSpan.FromDays(1)) });
            people.Add(new Person { Name = "Tom Jones", Title = "Team Leader", IsManager = true, Level = 2, HireDate = DateTime.Now.Subtract(TimeSpan.FromDays(2)) });
            people.Add(new Person { Name = "Bill Bailey", Title = "Salesperson", IsManager = false, Level = 1, HireDate = DateTime.Now.Subtract(TimeSpan.FromDays(3)) });
            people.Add(new Person { Name = "John Doe", Title = "Specialist", IsManager = false, Level = 0, HireDate = DateTime.Now.Subtract(TimeSpan.FromDays(4)) });
            people.Add(new Person { Name = "Jolene Jones", Title = "Writer", IsManager = false, Level = 0, HireDate = DateTime.Now.Subtract(TimeSpan.FromDays(5)) });
            people.Add(new Person { Name = "John Doroski", Title = "Accountant", IsManager = false, Level = 2, HireDate = DateTime.Now.Subtract(TimeSpan.FromDays(6)) });
            people.Add(new Person { Name = "Billiam Clark", Title = "Manager", IsManager = true, Level = 3, HireDate = DateTime.Now.Subtract(TimeSpan.FromDays(7)) });
            people.Add(new Person { Name = "Tomas Lundstrom", Title = "Furrier", IsManager = false, Level = 0, HireDate = DateTime.Now.Subtract(TimeSpan.FromDays(8)) });
            people.Add(new Person { Name = "Harry Carey", Title = "Plumber", IsManager = false, Level = 0, HireDate = DateTime.Now.Subtract(TimeSpan.FromDays(9)) });
            people.Add(new Person { Name = "Harry Carson", Title = "Glazier", IsManager = false, Level = 0, HireDate = DateTime.Now.Subtract(TimeSpan.FromDays(10)) });
            people.Add(new Person { Name = "Happy Rockefeller", Title = "Roofer", IsManager = false, Level = 0, HireDate = DateTime.Now.Subtract(TimeSpan.FromDays(11)) });
            people.Add(new Person { Name = "John Salesman", Title = "Salesman", IsManager = false, Level = 0, HireDate = DateTime.Now.Subtract(TimeSpan.FromDays(12)) });

            return people;
        }
    }

    public class Person
    {
        public Person()
        {
        }
        public override string ToString()
        {
            return "Person - Name: " + Name + ", Title: " + Title + ", Level: " + Level + ", IsManager: " + IsManager.ToString();
        }
        public string Name { get; set; }
        private string displayValue;

        public string DisplayValue
        {
            get { return displayValue; }
            set { displayValue = value; }
        }

        private string title;
        public string Title 
        {
            get { return title; }
            set
            {
                title = value;
                DisplayValue = this.Name + "(" + this.Title + ")";
             }
        }
        public int Level { get; set; }
        public bool IsManager { get; set; }
        public DateTime HireDate { get; set; }
        private string this[string columnName]
        {
            get
            {
                return null;
            }
        }
    }
}
